Antiprism 0.23

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations

# base/muparser/muParserError.h File Reference

This file defines the error class used by the parser. More...

`#include <cassert>`
`#include <stdexcept>`
`#include <string>`
`#include <sstream>`
`#include <vector>`
`#include <memory>`
`#include "muParserDef.h"`
Include dependency graph for muParserError.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | mu::ParserErrorMsg
| A class that handles the error messages. More...
class | mu::ParserError
| Error class of the parser. More...
## Namespaces
namespace | mu

| Namespace for mathematical applications.
## Enumerations
enum | mu::EErrorCodes { mu::ecUNEXPECTED_OPERATOR = 0, mu::ecUNASSIGNABLE_TOKEN = 1, mu::ecUNEXPECTED_EOF = 2, mu::ecUNEXPECTED_ARG_SEP = 3, mu::ecUNEXPECTED_ARG = 4, mu::ecUNEXPECTED_VAL = 5, mu::ecUNEXPECTED_VAR = 6, mu::ecUNEXPECTED_PARENS = 7, mu::ecUNEXPECTED_STR = 8, mu::ecSTRING_EXPECTED = 9, mu::ecVAL_EXPECTED = 10, mu::ecMISSING_PARENS = 11, mu::ecUNEXPECTED_FUN = 12, mu::ecUNTERMINATED_STRING = 13, mu::ecTOO_MANY_PARAMS = 14, mu::ecTOO_FEW_PARAMS = 15, mu::ecOPRT_TYPE_CONFLICT = 16, mu::ecSTR_RESULT = 17, mu::ecINVALID_NAME = 18, mu::ecINVALID_BINOP_IDENT = 19, mu::ecINVALID_INFIX_IDENT = 20, mu::ecINVALID_POSTFIX_IDENT = 21, mu::ecBUILTIN_OVERLOAD = 22, mu::ecINVALID_FUN_PTR = 23, mu::ecINVALID_VAR_PTR = 24, mu::ecEMPTY_EXPRESSION = 25, mu::ecNAME_CONFLICT = 26, mu::ecOPT_PRI = 27, mu::ecDOMAIN_ERROR = 28, mu::ecDIV_BY_ZERO = 29, mu::ecGENERIC = 30, mu::ecLOCALE = 31 , mu::ecINTERNAL_ERROR = 35, mu::ecCOUNT, mu::ecUNDEFINED = -1 }
| Error codes. More...

## Detailed Description

This file defines the error class used by the parser.